Page MenuHomePhabricator

Investigate use of precompiled headers
Closed, WontfixPublic

Description

Could also have effect on compile time.

Possible tool:

Similar Tasks:

Event Timeline

hentsch created this task.Nov 17 2017, 12:19 PM
hentsch updated the task description. (Show Details)Nov 17 2017, 12:27 PM
goch claimed this task.Dec 15 2017, 2:34 PM
goch added a comment.EditedDec 18 2017, 5:45 PM

On Ubuntu I need to add -fPIC to the CXX compiler flags in cmake to have a successful cotire based build. Otherwise I had the following error message

cc1plus: error: /MITK-build/Modules/QtWidgets/test/cotire/MitkQtWidgetsTestDriver_CXX_prefix.hxx.gch: created and used with different settings of -fpic [-Werror]
goch closed this task as Wontfix.Feb 6 2018, 12:05 PM

I did not manage to get a running windows build with cotire.

Deleted branch T23756-cotire.